﻿@ModelType IEnumerable(Of SyncFusionChildGridTest.Product)
@Code
    ViewData("Title") = "Index"
End Code

<h2>Index</h2>

<p>
    @Html.ActionLink("Create New", "Create")
</p>

<div class="control-section">
    @code

        Dim productGrid = Html.EJS().Grid("products")

        With productGrid
            .DataSource(Model)

            Dim colsList As New List(Of Grids.GridColumn)


            Dim colId = New Grids.GridColumn
            colId.Field = "Id"
            colId.HeaderText = "Product Id"
            colsList.Add(colId)


            Dim colName As New Grids.GridColumn
            colName.Field = "Name"
            colName.HeaderText = "Name"
            colsList.Add(colName)

            .Columns(colsList)
        End With

        Dim categoryGrid = Html.EJS().Grid("categories")

        With categoryGrid
            .DataSource(Model)
            .Columns(Sub(col)
                         col.Field("Category.Id").HeaderText("ID").TextAlign(TextAlign.Right).Add()
                         col.Field("Category.Name").HeaderText("Name").Add()
                     End Sub)
        End With

    End Code
    <div class="gridCategories">@categoryGrid.Render()</div>

    @*@productGrid.ChildGrid(categoryGrid)*@
    <div class="gridProducts">@productGrid.Render()</div>
</div>